MAKEHOLE(8)

NAME
makehole - a program to make filesystem "holes" in pure executables

SYNOPSIS
makehole Imagefile

DESCRIPTION
makehole copies the Imagefile, using lseek(2) to skip over sections of the file which contain all zeros. If the file system is smart enough to recognize this use of lseek(2), then it will store the file in a more efficient fashion. The logical length of the file will not be changed, only the way it is stored in the filesystem. This can save a lot of space if the file contains large blocks of zeros. cp(3) will not similar "hole creation," but it does not seem to be as extensive (see the GNU source code for details). dd(3) will not create holes, and should be used when holes are not desired (i.e., for the shoelace(8) boot image).

SEE ALSO
lseek(2), cp(3), dd(3)

BUGS
Must be root to run.
The Imagefile must be a pure exectuable.

AUTHOR
HJ Lu